package com.client.web.helper;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class WSContextListener implements ServletContextListener
{
	final String tomcatLoader = "org.apache.catalina.loader.WebappClassLoader";
	final String jBossLoader = "org.jboss.web.tomcat.service.WebAppClassLoader";
	
	ServletContextListener con = null;
	public WSContextListener()
	{
		String clsLoaderName = Thread.currentThread().getContextClassLoader().getClass().getName();
		if (clsLoaderName.equalsIgnoreCase(tomcatLoader) || clsLoaderName.equalsIgnoreCase(jBossLoader))
		{
			try
			{
				
				Class cls = getClass().getClassLoader().loadClass("com.sun.xml.ws.transport.http.servlet.WSServletContextListener");
				con = (ServletContextListener)(cls.newInstance());
			}
			catch(ClassNotFoundException e)
			{
				//throw e;
			}
			catch(Exception e)
			{
				
			}
		}
	}
	
	public void contextDestroyed(ServletContextEvent event) {
		if(con != null)
			con.contextDestroyed(event);
		
	}
	
	public void contextInitialized(ServletContextEvent event) {
		if(con != null)
			con.contextInitialized(event);
	}

}
